package com.gz.service.system;

import cn.hutool.core.lang.tree.Tree;
import com.gz.dto.system.MenuDTO;

import java.util.List;

public interface MenuService {

    /**
     * @description 增
     * @author LiuChangLan
     * @since 2020/9/4 14:46
     */
    Integer insert(MenuDTO menuDTO);

    /**
     * @description 删
     * @author LiuChangLan
     * @since 2020/9/4 14:46
     */
    Integer delete(Integer id);

    /**
     * @description 改
     * @author LiuChangLan
     * @since 2020/9/4 14:46
     */
    Integer update(MenuDTO menuDTO);

    /**
     * @description 查(给分页参数查分页 没给查全部)
     * @author LiuChangLan
     * @since 2020/9/4 14:46
     */
    List<MenuDTO> select();

    /**
     * @description 根据主键查询
     * @author LiuChangLan
     * @since 2020/9/4 16:36
     */
    MenuDTO selectByPrimaryKey(Integer id);

    /**
     * @description 查询菜单按照排序
     * @author LiuChangLan
     * @since 2020/9/7 16:46
     */
    List<MenuDTO> selectByOrder();

    /**
     * @description 获取菜单（树结构）
     * @author LiuChangLan
     * @since 2020/9/7 16:51
     */
    List<Tree<String>> getMenuTree();
}
